Skip to content
Pages in Reference

Teams

Reference Updated View as Markdown
Method Path What it does Permission Sudo Approval
POST /api/apps/{domain}/move Move App apps.manage yes
GET /api/environments List Environments teams.read
GET /api/projects List Projects teams.read
GET /api/teams List Teams teams.read
POST /api/teams Create Team teams.manage
PUT /api/teams/active Choose Active Team self
GET /api/teams/mine My Teams self
GET /api/teams/roles List Team Roles self
GET /api/teams/{team} Get Team teams.read
PATCH /api/teams/{team} Rename Team teams.manage
DELETE /api/teams/{team} Delete Team teams.manage yes
GET /api/teams/{team}/members List Members teams.read
POST /api/teams/{team}/members Add Member teams.manage yes
PATCH /api/teams/{team}/members/{username} Set Member Role teams.manage yes
DELETE /api/teams/{team}/members/{username} Remove Member teams.manage yes
GET /api/teams/{team}/projects List Team Projects teams.read
POST /api/teams/{team}/projects Create Project teams.manage
PATCH /api/teams/{team}/projects/{project} Rename Project teams.manage
DELETE /api/teams/{team}/projects/{project} Delete Project teams.manage yes
GET /api/teams/{team}/projects/{project}/environments List Project Environments teams.read
POST /api/teams/{team}/projects/{project}/environments Create Environment teams.manage
PATCH /api/teams/{team}/projects/{project}/environments/{environment} Rename Environment teams.manage
DELETE /api/teams/{team}/projects/{project}/environments/{environment} Delete Environment teams.manage yes

Something on this page is wrong or unclear? Report it on GitHub.

Help, contributing and the project’s policies are under Project.

Search the documentation

Type to search every page.

↑ ↓ to move, Enter to open, Esc to close